Bug 1614520 (CVE-2018-14526) - CVE-2018-14526 wpa_supplicant: Unauthenticated EAPOL-Key decryption in wpa_supplicant
Summary: CVE-2018-14526 wpa_supplicant: Unauthenticated EAPOL-Key decryption in wpa_su...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-14526
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1614939 1619553 1619554
Blocks: 1614522
TreeView+ depends on / blocked
 
Reported: 2018-08-09 19:44 UTC by Pedro Sampaio
Modified: 2021-02-16 23:48 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:35:40 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3107 0 None None None 2018-10-30 07:42:11 UTC

Description Pedro Sampaio 2018-08-09 19:44:32 UTC
An issue was discovered in rsn_supp/wpa.c in wpa_supplicant 2.0 through 2.6. Under certain conditions, the integrity of EAPOL-Key messages is not checked, leading to a decryption oracle. An attacker within range of the Access Point and client can abuse the vulnerability to recover sensitive information.

References:

https://papers.mathyvanhoef.com/woot2018.pdf
https://w1.fi/security/2018-1/unauthenticated-eapol-key-decryption.txt

Comment 3 Stefan Cornelius 2018-10-09 14:17:28 UTC
Statement:

Red Hat Virtualization images include wpa_supplicant as a component from the base Red Hat Enterprise Linux operating system, but use of Red Hat Virtualization on a wireless network is neither recommended nor supported. A future update may address this issue.

This issue affects the versions of wpa_supplicant as shipped with Red Hat Enterprise Linux 6 and 7.

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Moderate, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 4 errata-xmlrpc 2018-10-30 07:42:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3107 https://access.redhat.com/errata/RHSA-2018:3107


Note You need to log in before you can comment on or make changes to this bug.